%define name paco
%define version 2.0.7
%define release %mkrel 2
%define __libtoolize /bin/true

Summary: Paco is a source code package organizer
Name:    %{name}
Version: %{version}
Release: %{release}
License: GPL
Group:   System/Configuration/Packaging
URL:     http://paco.sourceforge.net/
Source: %{name}-%{version}.tar.bz2
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: gcc-c++ libgtkmm2.4-devel >= 2.12


%description
Paco is a source code package organizer for Unix/Linux
systems, originally written to aid package management
when installing an LFS system.

When installing a package from sources, paco wraps the
"make install" command (or whatever is needed to install
the files into the system), and generates a log containing
the list of all installed files.


%package gpaco
Summary: Gpaco is the GTK+ graphic interface of paco.
Group: System/Configuration/Packaging
Requires: %{name} = %{version}
Requires: libgtkmm2.4_1 >= 2.12
Requires: usermode

%description gpaco
Gpaco is the GTK+ graphic interface of paco.

%prep
%setup -q

%build
%configure2_5x --enable-scripts \
               --enable-gpaco

%make 

%install
rm -rf %{buildroot}
%makeinstall_std 

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-System-Configuration-Packaging" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

# install icons
mkdir -p %buildroot{%_iconsdir,%_liconsdir,%_miconsdir}
install -m 0644 doc/gpaco.png %{buildroot}%_miconsdir/gpaco.png
convert %{buildroot}%_miconsdir/gpaco.png -resize 16x16 %{buildroot}%_miconsdir/gpaco.png 
install -m 0644 doc/gpaco.png %{buildroot}%_iconsdir/gpaco.png
convert %{buildroot}%_iconsdir/gpaco.png -resize 32x32 %{buildroot}%_iconsdir/gpaco.png 
install -m 0644 doc/gpaco.png %{buildroot}%_liconsdir/gpaco.png


# bash completion support for paco
install -m644 -D scripts/paco_bash_completion %{buildroot}%{_sysconfdir}/bash_completion.d/paco_bash_completion

# remove /usr/share/paco
rm -rf %{buildroot}%{_datadir}/paco


mkdir -p %{buildroot}%{_sbindir}
mv %{buildroot}%{_bindir}/gpaco %{buildroot}%{_sbindir}
ln -s consolehelper %{buildroot}%{_bindir}/gpaco

mkdir -p %{buildroot}%{_sysconfdir}/security/console.apps
cat > %{buildroot}%{_sysconfdir}/security/console.apps/gpaco << EOF
USER=root
PROGRAM=%{_sbindir}/gpaco
SESSION=true
EOF

mkdir -p %{buildroot}%{_sysconfdir}/pam.d
cat > %{buildroot}%{_sysconfdir}/pam.d/gpaco << EOF
#%PAM-1.0
auth		include		config-util
account		include		config-util
session		include		config-util
EOF


%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc BUGS COPYING ChangeLog INSTALL README doc/faq.txt
%config(noreplace) %{_sysconfdir}/pacorc
%{_mandir}/*/*
%{_libdir}/*.so
%{_libdir}/*.so.*
%{_libdir}/*.a
%{_libdir}/*.la
%{_bindir}/paco
%{_bindir}/pacoball
%{_bindir}/superpaco
%{_bindir}/ocap
%{_bindir}/rpm2paco
%{_libdir}/pkgconfig/*
/var/log/paco
%{_sysconfdir}/bash_completion.d/

%files gpaco
%defattr(-,root,root,-)
%config %{_sysconfdir}/pam.d/gpaco
%config %{_sysconfdir}/security/console.apps/gpaco
%{_bindir}/gpaco
%{_sbindir}/gpaco
%{_datadir}/pixmaps/*
%{_datadir}/applications/*
%_miconsdir/*.png
%_iconsdir/*.png
%_liconsdir/*.png

%changelog
* Fri Jan 08 2010 Texstar <texstar at gmail.com> 2.0.7-2pclos2010
- rebuild

* Sun Aug 30 2009 slick50 <lxgator@gmail.com> 2.0.7-1pclos2009
- 2.0.7

* Tue Jun 09 2009 slick50 <lxgator@gmail.com> 2.0.6-1pclos2009
- initial pkg
